Method: projects.image.export

啟動批次程序,計算圖片並將結果寫入多個目的地之一。

HTTP 要求

POST https://earthengine.googleapis.com/v1/{project=projects/*}/image:export

這個網址使用 gRPC 轉碼語法。

路徑參數

參數
project

string

Google Cloud Platform 專案的專案 ID 或專案編號,應視為這項要求的服務用戶。格式為 projects/{project-id}。

授權需要指定資源 project 的下列 IAM 權限:

  • earthengine.exports.create

要求主體

要求主體會包含結構如下的資料:

JSON 表示法
{
  "expression": {
    object (Expression)
  },
  "description": string,
  "maxPixels": string,
  "grid": {
    object (PixelGrid)
  },
  "requestId": string,
  "workloadTag": string,
  "priority": integer,

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "fileExportOptions": {
    object (ImageFileExportOptions)
  },
  "assetExportOptions": {
    object (ImageAssetExportOptions)
  }
  // End of mutually exclusive fields.
}
欄位
expression

object (Expression)

運算式,評估要計算及匯出的圖片。

description

string

使用者可解讀的任務名稱。

maxPixels

string (Int64Value format)

要計算及匯出的像素數量上限。這項安全防護措施可避免您不小心啟動比預期大的匯出作業。預設值為 1e8 像素,但您可以明確設定值來提高或降低這項限制。

grid

object (PixelGrid)

參數:說明如何重新投影和裁剪 expression 計算出的圖片。如果沒有,系統會以原生投影方式傳回完整計算的圖片。

requestId

string

用於偵測重複要求的不重複字串。如果同一位使用者透過相同的非空白 requestId 提出多項要求,只有其中一項要求可成功啟動長時間執行的作業。requestId 可包含 a..z、A..Z、0-9 或「-」字元,requestId 長度上限為 60 個字元。

workloadTag

string

使用者提供的標籤,用於追蹤這項運算作業。

priority

integer

(選用步驟) 專案中匯出工作的優先順序。系統會優先排定優先順序較高的工作。必須是介於 0 至 9999 之間的整數。如未設定,預設值為 100。

說明結果的儲存位置和方式。以下列出互斥的欄位。回應中最多只會設定一個欄位:
fileExportOptions

object (ImageFileExportOptions)

如有指定,則將匯出內容設定為檔案。

assetExportOptions

object (ImageAssetExportOptions)

如有指定,則會將匯出內容設定為 Earth Engine 資產。

互斥欄位的結尾。

回應主體

如果成功,回應主體會包含 Operation 的執行個體。

授權範圍

需要下列其中一種 OAuth 範圍:

  • https://www.googleapis.com/auth/earthengine
  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/devstorage.full_control

詳情請參閱OAuth 2.0 Overview。

ImageAssetExportOptions

將圖片儲存為 Earth Engine 資產的選項。

JSON 表示法
{
  "pyramidingPolicy": enum (PyramidingPolicy),
  "pyramidingPolicyOverrides": {
    string: enum (PyramidingPolicy),
    ...
  },

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "earthEngineDestination": {
    object (EarthEngineDestination)
  }
  // End of mutually exclusive fields.
}
欄位
pyramidingPolicy

enum (PyramidingPolicy)

預設套用至所有樂團的疊加政策。

pyramidingPolicyOverrides

map (key: string, value: enum (PyramidingPolicy))

特定頻段的金字塔政策覆寫。

這個物件中包含 "key": value 組合的清單,範例:{ "name": "wrench", "mass": "1.3kg", "count": "3" }。

要將結果寫入何處。以下列出互斥的欄位。回應中最多只會設定一個欄位:
earthEngineDestination

object (EarthEngineDestination)

如有指定,則設定匯出至 Earth Engine。

互斥欄位的結尾。